Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 22602)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 22796)
@@ -32,10 +32,8 @@
  * @version $Id$
  */
-class LC_Page_FrontParts_Bloc_Category extends LC_Page_FrontParts_Bloc_Ex 
-{
+class LC_Page_FrontParts_Bloc_Category extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
     // {{{ functions
-    public $arrParentID;
 
     /**
@@ -44,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -54,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -65,6 +61,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // モバイル判定
@@ -90,6 +85,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -101,6 +95,5 @@
      * @return array $arrCategoryId 選択中のカテゴリID
      */
-    function lfGetSelectedCategoryId($arrRequest)
-    {
+    function lfGetSelectedCategoryId($arrRequest) {
             // 商品ID取得
         $product_id = '';
@@ -129,17 +122,45 @@
      * @return array $arrRet カテゴリツリーの配列を返す
      */
-    function lfGetCatTree($arrParentCategoryId, $count_check = false)
-    {
-        $objCategory = new SC_Helper_Category_Ex($count_check);
-        $arrTree = $objCategory->getTree();
-
-        $this->arrParentID = array();
+    function lfGetCatTree($arrParentCategoryId, $count_check = false) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objDb = new SC_Helper_DB_Ex();
+        $col = '*';
+        $from = 'dtb_category left join dtb_category_total_count ON dtb_category.category_id = dtb_category_total_count.category_id';
+        // 登録商品数のチェック
+        if ($count_check) {
+            $where = 'del_flg = 0 AND product_count > 0';
+        } else {
+            $where = 'del_flg = 0';
+        }
+        $objQuery->setOption('ORDER BY rank DESC');
+        $arrRet = $objQuery->select($col, $from, $where);
         foreach ($arrParentCategoryId as $category_id) {
-            $arrParentID = $objCategory->getTreeTrail($category_id);
-            $this->arrParentID = array_merge($this->arrParentID, $arrParentID); 
+            $arrParentID = $objDb->sfGetParents(
+                'dtb_category',
+                'parent_category_id',
+                'category_id',
+                $category_id
+            );
+            $arrBrothersID = SC_Utils_Ex::sfGetBrothersArray(
+                $arrRet,
+                'parent_category_id',
+                'category_id',
+                $arrParentID
+            );
+            $arrChildrenID = SC_Utils_Ex::sfGetUnderChildrenArray(
+                $arrRet,
+                'parent_category_id',
+                'category_id',
+                $category_id
+            );
             $this->root_parent_id[] = $arrParentID[0];
-        }
-
-        return $arrTree;
+            $arrDispID = array_merge($arrBrothersID, $arrChildrenID);
+            foreach ($arrRet as &$arrCategory) {
+                if (in_array($arrCategory['category_id'], $arrDispID)) {
+                    $arrCategory['display'] = 1;
+                }
+            }
+        }
+        return $arrRet;
     }
 
@@ -150,6 +171,5 @@
      * @return array $arrMainCat メインカテゴリの配列を返す
      */
-    function lfGetMainCat($count_check = false)
-    {
+    function lfGetMainCat($count_check = false) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = '*';
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_FrontParts_Bloc extends LC_Page_Ex 
-{
+class LC_Page_FrontParts_Bloc extends LC_Page_Ex {
 
     /**
@@ -40,6 +39,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         // 開始時刻を設定する。
         $this->timeStart = microtime(true);
@@ -66,6 +64,5 @@
      * @return void
      */
-    function setTplMainpage($bloc_file)
-    {
+    function setTplMainpage($bloc_file) {
         if (SC_Utils_Ex::isAbsoluteRealPath($bloc_file)) {
             $this->tpl_mainpage = $bloc_file;
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginHeader.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginHeader.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginHeader.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_FrontParts_Bloc_LoginHeader extends LC_Page_FrontParts_Bloc_Login_Ex 
-{
+class LC_Page_FrontParts_Bloc_LoginHeader extends LC_Page_FrontParts_Bloc_Login_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -64,6 +61,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         parent::action();
     }
@@ -74,6 +70,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 22796)
@@ -34,6 +34,5 @@
  * @version $Id:LC_Page_FrontParts_LoginCheck.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_FrontParts_LoginCheck extends LC_Page_Ex 
-{
+class LC_Page_FrontParts_LoginCheck extends LC_Page_Ex {
 
     // }}}
@@ -45,6 +44,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
 
@@ -56,6 +54,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -67,6 +64,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // 会員管理クラス
@@ -213,6 +209,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -224,6 +219,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('記憶する', 'login_memory', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('メールアドレス', 'login_email', MTEXT_LEN, 'a', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
@@ -241,6 +235,5 @@
      * @see LC_PageError
      */
-    function lfGetErrorMessage($error)
-    {
+    function lfGetErrorMessage($error) {
         switch ($error) {
             case TEMP_LOGIN_ERROR:
Index: /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 22607)
+++ /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Products_List extends LC_Page_Ex 
-{
+class LC_Page_Products_List extends LC_Page_Ex {
 
     // {{{ properties
@@ -69,6 +68,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
 
@@ -85,6 +83,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -97,6 +94,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objProduct = new SC_Product_Ex();
@@ -147,5 +143,7 @@
         }
 
-        $this->tpl_rnd = SC_Utils_Ex::sfGetRandomString(3);
+        $this->tpl_rnd          = SC_Utils_Ex::sfGetRandomString(3);
+
+
     }
 
@@ -155,6 +153,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -165,6 +162,5 @@
      * @return integer カテゴリID
      */
-    function lfGetCategoryId($category_id)
-    {
+    function lfGetCategoryId($category_id) {
 
         // 指定なしの場合、0 を返す
@@ -190,6 +186,5 @@
 
     /* 商品一覧の表示 */
-    function lfGetProductsList($searchCondition, $disp_number, $startno, $linemax, &$objProduct)
-    {
+    function lfGetProductsList($searchCondition, $disp_number, $startno, $linemax, &$objProduct) {
 
         $arrOrderVal = array();
@@ -229,5 +224,5 @@
                     ,product_id DESC
 __EOS__;
-                $objQuery->setOrder($order);
+                    $objQuery->setOrder($order);
                 break;
         }
@@ -249,6 +244,5 @@
 
     /* 入力内容のチェック */
-    function lfCheckError($product_id, &$arrForm, $tpl_classcat_find1, $tpl_classcat_find2)
-    {
+    function lfCheckError($product_id, &$arrForm, $tpl_classcat_find1, $tpl_classcat_find2) {
 
         // 入力データを渡す。
@@ -274,6 +268,5 @@
      * @return void
      */
-    function lfGetDisplayNum($display_number)
-    {
+    function lfGetDisplayNum($display_number) {
         // 表示件数
         return (SC_Utils_Ex::sfIsInt($display_number))
@@ -287,6 +280,5 @@
      * @return str
      */
-    function lfGetPageTitle($mode, $category_id = 0)
-    {
+    function lfGetPageTitle($mode, $category_id = 0) {
         if ($mode == 'search') {
             return '検索結果';
@@ -294,7 +286,6 @@
             return '全商品';
         } else {
-            $objCategory = new SC_Helper_Category_Ex();
-            $arrCat = $objCategory->get($category_id);
-            return $arrCat['category_name'];
+            $arrCat = SC_Helper_DB_Ex::sfGetCat($category_id);
+            return $arrCat['name'];
         }
     }
@@ -305,6 +296,5 @@
      * @return array
      */
-    function lfGetSearchConditionDisp($arrSearchData)
-    {
+    function lfGetSearchConditionDisp($arrSearchData) {
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
         $arrSearch  = array('category' => '指定なし', 'maker' => '指定なし', 'name' => '指定なし');
@@ -316,7 +306,5 @@
         // メーカー検索条件
         if (strlen($arrSearchData['maker_id']) > 0) {
-            $objMaker = new SC_Helper_Maker_Ex();
-            $maker = $objMaker->get($arrSearchData['maker_id']);
-            $arrSearch['maker']     = $maker['name'];
+            $arrSearch['maker']     = $objQuery->get('name', 'dtb_maker', 'maker_id = ?', array($arrSearchData['maker_id']));
         }
 
@@ -333,6 +321,5 @@
      * @return int
      */
-    function lfGetProductAllNum($searchCondition)
-    {
+    function lfGetProductAllNum($searchCondition) {
         // 検索結果対象となる商品の数を取得
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
@@ -347,6 +334,5 @@
      * @return array
      */
-    function lfGetSearchCondition($arrSearchData)
-    {
+    function lfGetSearchCondition($arrSearchData) {
         $searchCondition = array(
             'where'             => '',
@@ -391,11 +377,11 @@
         }
 
+        $searchCondition['where_for_count'] = $searchCondition['where'];
+
         // 在庫無し商品の非表示
         if (NOSTOCK_HIDDEN) {
             $searchCondition['where'] .= ' AND EXISTS(SELECT * FROM dtb_products_class WHERE product_id = alldtl.product_id AND del_flg = 0 AND (stock >= 1 OR stock_unlimited = 1))';
-        }
-
-        // XXX 一時期内容が異なっていたことがあるので別要素にも格納している。
-        $searchCondition['where_for_count'] = $searchCondition['where'];
+            $searchCondition['where_for_count'] .= ' AND EXISTS(SELECT * FROM dtb_products_class WHERE product_id = alldtl.product_id AND del_flg = 0 AND (stock >= 1 OR stock_unlimited = 1))';
+        }
 
         return $searchCondition;
@@ -407,6 +393,5 @@
      * @return str
      */
-    function lfSetSelectedData(&$arrProducts, $arrForm, $arrErr, $product_id)
-    {
+    function lfSetSelectedData(&$arrProducts, $arrForm, $arrErr, $product_id) {
         $js_fnOnLoad = '';
         foreach ($arrProducts as $key => $value) {
@@ -429,6 +414,5 @@
      * @return void
      */
-    function lfAddCart($arrForm, $referer)
-    {
+    function lfAddCart($arrForm, $referer) {
         $product_class_id = $arrForm['product_class_id'];
         $objCartSess = new SC_CartSession_Ex();
@@ -444,6 +428,5 @@
      * @return Array $arrProducts 商品一覧情報
      */
-    function setStatusDataTo($arrProducts, $arrStatus, $arrStatusImage)
-    {
+    function setStatusDataTo($arrProducts, $arrStatus, $arrStatusImage) {
 
         foreach ($arrProducts['productStatus'] as $product_id => $arrValues) {
@@ -465,10 +448,10 @@
     /**
      *
-     * @return void
-     */
-    function doJson()
-    {
+     * @param type $objProduct 
+     * @return void
+     */
+    function doJson(&$objProduct) {
         $this->arrProducts = $this->setStatusDataTo($this->arrProducts, $this->arrSTATUS, $this->arrSTATUS_IMAGE);
-        SC_Product_Ex::setPriceTaxTo($this->arrProducts);
+        $this->arrProducts = $objProduct->setPriceTaxTo($this->arrProducts);
 
         // 一覧メイン画像の指定が無い商品のための処理
@@ -486,6 +469,5 @@
      * @return void
      */
-    function doDefault(&$objProduct)
-    {
+    function doDefault(&$objProduct) {
         //商品一覧の表示処理
         $strnavi            = $this->objNavi->strnavi;
@@ -536,10 +518,6 @@
                 $this->lfAddCart($this->arrForm, $_SERVER['HTTP_REFERER']);
 
-                // 開いているカテゴリーツリーを維持するためのパラメーター
-                $arrQueryString = array(
-                    'category_id' => $this->arrForm['category_id'],
-                );
-
-                SC_Response_Ex::sendRedirect(CART_URLPATH, $arrQueryString);
+
+                SC_Response_Ex::sendRedirect(CART_URLPATH);
                 SC_Response_Ex::actionExit();
             }
@@ -552,6 +530,5 @@
         }
 
-        $this->tpl_javascript   .= 'function fnOnLoad()
-        {' . $js_fnOnLoad . '}';
+        $this->tpl_javascript   .= 'function fnOnLoad(){' . $js_fnOnLoad . '}';
         $this->tpl_onload       .= 'fnOnLoad(); ';
     }
Index: /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Review.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Review.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Review.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id:LC_Page_Products_Review.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_Products_Review extends LC_Page_Ex 
-{
+class LC_Page_Products_Review extends LC_Page_Ex {
 
     // {{{ properties
@@ -54,6 +53,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
 
@@ -69,6 +67,5 @@
      * Page のプロセス.
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -81,6 +78,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objFormParam = new SC_FormParam_Ex();
@@ -141,6 +137,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -152,6 +147,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('レビューID', 'review_id', INT_LEN, 'aKV');
         $objFormParam->addParam('商品ID', 'product_id', INT_LEN, 'n', array('NUM_CHECK','EXIST_CHECK', 'MAX_LENGTH_CHECK'));
@@ -170,6 +164,5 @@
      * @return array エラーメッセージの配列
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $arrErr = $objFormParam->checkError();
 
@@ -199,6 +192,5 @@
      * @return string $product_name 商品名
      */
-    function lfGetProductName($product_id)
-    {
+    function lfGetProductName($product_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -207,6 +199,5 @@
 
     //登録実行
-    function lfRegistRecommendData(&$objFormParam)
-    {
+    function lfRegistRecommendData(&$objFormParam) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrRegist = $objFormParam->getDbArray();
Index: /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 22608)
+++ /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 22796)
@@ -35,6 +35,5 @@
  * @version $Id:LC_Page_Products_Detail.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_Products_Detail extends LC_Page_Ex 
-{
+class LC_Page_Products_Detail extends LC_Page_Ex {
 
     /** 商品ステータス */
@@ -67,6 +66,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $masterData = new SC_DB_MasterData_Ex();
@@ -82,6 +80,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -94,6 +91,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         // 会員クラス
         $objCustomer = new SC_Customer_Ex();
@@ -140,6 +136,5 @@
 
         $this->tpl_javascript .= 'classCategories = ' . SC_Utils_Ex::jsonEncode($objProduct->classCategories[$product_id]) . ';';
-        $this->tpl_javascript .= 'function lnOnLoad()
-        {' . $this->js_lnOnload . '}';
+        $this->tpl_javascript .= 'function lnOnLoad(){' . $this->js_lnOnload . '}';
         $this->tpl_onload .= 'lnOnLoad();';
 
@@ -242,12 +237,10 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     /* プロダクトIDの正当性チェック */
-    function lfCheckProductId($admin_mode,$product_id)
-    {
+    function lfCheckProductId($admin_mode,$product_id) {
         // 管理機能からの確認の場合は、非公開の商品も表示する。
         if (isset($admin_mode) && $admin_mode == 'on') {
@@ -270,6 +263,5 @@
 
     /* ファイル情報の初期化 */
-    function lfInitFile($objUpFile)
-    {
+    function lfInitFile($objUpFile) {
         $objUpFile->addFile('詳細-メイン画像', 'main_image', array('jpg'), IMAGE_SIZE);
         for ($cnt = 1; $cnt <= PRODUCTSUB_MAX; $cnt++) {
@@ -280,6 +272,5 @@
 
     /* 規格選択セレクトボックスの作成 */
-    function lfMakeSelect()
-    {
+    function lfMakeSelect() {
         return 'fnSetClassCategories('
             . 'document.form1, '
@@ -289,6 +280,5 @@
 
     /* 規格選択セレクトボックスの作成(モバイル) */
-    function lfMakeSelectMobile(&$objPage, $product_id,$request_classcategory_id1)
-    {
+    function lfMakeSelectMobile(&$objPage, $product_id,$request_classcategory_id1) {
 
         $classcat_find1 = false;
@@ -353,6 +343,5 @@
 
     /* パラメーター情報の初期化 */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('規格1', 'classcategory_id1', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('規格2', 'classcategory_id2', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -371,6 +360,5 @@
 
     /* 商品規格情報の取得 */
-    function lfGetProductsClass($product_id)
-    {
+    function lfGetProductsClass($product_id) {
         $objProduct = new SC_Product_Ex();
         return $objProduct->getProductsClassFullByProductId($product_id);
@@ -378,6 +366,5 @@
 
     /* 登録済み関連商品の読み込み */
-    function lfPreGetRecommendProducts($product_id)
-    {
+    function lfPreGetRecommendProducts($product_id) {
         $objProduct = new SC_Product_Ex();
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -403,6 +390,5 @@
 
     /* 入力内容のチェック */
-    function lfCheckError($mode,&$objFormParam,$tpl_classcat_find1 = null ,$tpl_classcat_find2 = null)
-    {
+    function lfCheckError($mode,&$objFormParam,$tpl_classcat_find1 = null ,$tpl_classcat_find2 = null) {
 
         switch ($mode) {
@@ -436,6 +422,5 @@
 
     //商品ごとのレビュー情報を取得する
-    function lfGetReviewData($id)
-    {
+    function lfGetReviewData($id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         //商品ごとのレビュー情報を取得する
@@ -454,6 +439,5 @@
      * @return $subImageFlag
      */
-    function lfSetFile($objUpFile,$arrProduct,&$arrFile)
-    {
+    function lfSetFile($objUpFile,$arrProduct,&$arrFile) {
         // DBからのデータを引き継ぐ
         $objUpFile->setDBFileList($arrProduct);
@@ -475,6 +459,5 @@
      * @return void
      */
-    function lfRegistFavoriteProduct($favorite_product_id,$customer_id)
-    {
+    function lfRegistFavoriteProduct($favorite_product_id,$customer_id) {
         // ログイン中のユーザが商品をお気に入りにいれる処理
         if (!SC_Helper_DB_Ex::sfIsRecord('dtb_products', 'product_id', $favorite_product_id, 'del_flg = 0 AND status = 1')) {
@@ -506,6 +489,5 @@
      * @return void 
      */
-    function doCart()
-    {
+    function doCart() {
         $this->arrErr = $this->lfCheckError($this->mode,$this->objFormParam,
                                             $this->tpl_classcat_find1,
@@ -517,10 +499,6 @@
             $objCartSess->addProduct($product_class_id, $this->objFormParam->getValue('quantity'));
 
-            // 開いているカテゴリーツリーを維持するためのパラメーター
-            $arrQueryString = array(
-                'product_id' => $this->objFormParam->getValue('product_id'),
-            );
-
-            SC_Response_Ex::sendRedirect(CART_URLPATH, $arrQueryString);
+
+            SC_Response_Ex::sendRedirect(CART_URLPATH);
             SC_Response_Ex::actionExit();
         }
@@ -533,6 +511,5 @@
      * @return void
      */
-    function doAddFavorite(&$objCustomer)
-    {
+    function doAddFavorite(&$objCustomer) {
         // ログイン中のユーザが商品をお気に入りにいれる処理
         if ($objCustomer->isLoginSuccess() === true && $this->objFormParam->getValue('favorite_product_id') > 0) {
@@ -556,6 +533,5 @@
      * @return void
      */
-    function doAddFavoriteSphone($objCustomer)
-    {
+    function doAddFavoriteSphone($objCustomer) {
         // ログイン中のユーザが商品をお気に入りにいれる処理(スマートフォン用)
         if ($objCustomer->isLoginSuccess() === true && $this->objFormParam->getValue('favorite_product_id') > 0) {
@@ -581,6 +557,5 @@
      * @return void 
      */
-    function doDefault()
-    {
+    function doDefault() {
         // カート「戻るボタン」用に保持
         $netURL = new Net_URL();
@@ -592,6 +567,5 @@
      * @return void
      */
-    function doMobileSelect()
-    {
+    function doMobileSelect() {
         // 規格1が設定されている場合
         if ($this->tpl_classcat_find1) {
@@ -609,6 +583,5 @@
      * @return type 
      */
-    function doMobileSelect2()
-    {
+    function doMobileSelect2() {
         $this->arrErr = $this->lfCheckError($this->mode,$this->objFormParam,$this->tpl_classcat_find1,$this->tpl_classcat_find2);
 
@@ -635,6 +608,5 @@
      * @return void
      */
-    function doMobileSelectItem()
-    {
+    function doMobileSelectItem() {
         $objProduct = new SC_Product_Ex();
 
@@ -678,6 +650,5 @@
      * @return void 
      */
-    function doMobileCart()
-    {
+    function doMobileCart() {
         // この段階でエラーが出る場合は、数量の入力エラーのはず
         if (count($this->arrErr)) {
@@ -691,6 +662,5 @@
      * @return void 
      */
-    function doMobileDefault()
-    {
+    function doMobileDefault() {
         $this->tpl_mainpage = 'products/detail.tpl';
     }
Index: /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Search.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Search.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Search.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Products_Search extends LC_Page_Ex 
-{
+class LC_Page_Products_Search extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
 
@@ -76,6 +72,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_CategoryList.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Products_CategoryList extends LC_Page_Ex 
-{
+class LC_Page_Products_CategoryList extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -64,6 +61,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // カテゴリIDの正当性チェック
@@ -85,12 +81,10 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     /* カテゴリIDの正当性チェック */
-    function lfCheckCategoryId($category_id)
-    {
+    function lfCheckCategoryId($category_id) {
         if ($category_id && !SC_Helper_DB_Ex::sfIsRecord('dtb_category', 'category_id', (array)$category_id, 'del_flg = 0')) {
             return 0;
@@ -108,6 +102,5 @@
      * @return void
      */
-    function lfGetCategories($category_id, $count_check = false, &$objPage)
-    {
+    function lfGetCategories($category_id, $count_check = false, &$objPage) {
         // カテゴリの正しいIDを取得する。
         $category_id = $this->lfCheckCategoryId($category_id);
@@ -163,6 +156,5 @@
      * @return object
      */
-    function lfInitParam($arrRequest)
-    {
+    function lfInitParam($arrRequest) {
         $objFormParam = new SC_FormParam_Ex();
         $objFormParam->addParam('カテゴリID', 'category_id', INT_LEN, 'n', array('NUM_CHECK','MAX_LENGTH_CHECK'));
Index: /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Products_ReviewComplete extends LC_Page_Ex 
-{
+class LC_Page_Products_ReviewComplete extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $this->setTemplate('products/review_complete.tpl');
@@ -78,6 +74,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/LC_Page_ResizeImage.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_ResizeImage extends LC_Page_Ex 
-{
+class LC_Page_ResizeImage extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -64,6 +61,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         $objFormParam = new SC_FormParam_Ex();
         $this->lfInitParam($objFormParam);
@@ -94,11 +90,9 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('画像ファイル名', 'image', STEXT_LEN, 'a',  array('MAX_LENGTH_CHECK'));
         $objFormParam->addParam('画像の幅', 'width', STEXT_LEN, 'n',  array('NUM_CHECK'));
@@ -111,6 +105,5 @@
      * @return boolean 正常な形式:true 不正な形式:false
      */
-    function lfCheckFileName()
-    {
+    function lfCheckFileName() {
         //$pattern = '|^[0-9]+_[0-9a-z]+\.[a-z]{3}$|';
         $pattern = '|\./|';
@@ -132,6 +125,5 @@
      * @return void
      */
-    function lfOutputImage($file, $width, $height)
-    {
+    function lfOutputImage($file, $width, $height) {
         $objThumb = new gdthumb();
         $objThumb->Main($file, $width, $height, '', true);
